Permlink Replies: 1 - Pages: 1 - Last Post: 21 Sep 21, 17:00 Last Post By: JeffTucker Threads: [ Previous | Next ]
JeffTucker

Posts: 7,946
Registered: 31-Jan-2006
Java 17, JavaFX 17, and Netbeans
Posted: 18 Sep 21, 15:29
  Click to reply to this thread Reply
The Java 17 SDK and JavaFX 17 SDK have been released:

https://jdk.java.net/17/

https://gluonhq.com/products/javafx/

This isn't really relevant for a jAlbum user, since jAlbum comes bundled with the Java version that it requires. But if you're doing skin development or otherwise "rolling your own...."

I'm getting a harmless but consistent error in Netbeans 12.4, along with a notification that Netbeans 12.5 is available. However, Netbeans 12.5 is not available, so it would appear they're wrestling with some demons.
JeffTucker

Posts: 7,946
Registered: 31-Jan-2006
Re: Java 17, JavaFX 17, and Netbeans
Posted: 21 Sep 21, 17:00   in response to: JeffTucker in response to: JeffTucker
  Click to reply to this thread Reply
NetBeans 12.5 has now been released, and it cures the errors I was seeing when running on JDK 17.
Legend
Forum admins
Helpful Answer
Correct Answer

Point your RSS reader here for a feed of the latest messages in all forums